| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Private Attributes | List of all members
uiAttrDescEd Class Referenceabstract
uiAttributes

Attribute description editor. More...

`#include <uiattrdesced.h>`

Inheritance diagram for uiAttrDescEd:
[legend]

## Public Types
enum | DimensionType { AnyDim , Only3D , Only2D }
enum | DomainType { Both , Time , Depth }
Public Types inherited from ObjectWithName
typedef OD::String | name_type

## Public Member Functions
virtual | ~uiAttrDescEd ()
virtual const char * | attribName () const =0
virtual uiString | commit (Desc *desc=0)
Desc * | curDesc ()
const Desc * | curDesc () const
DimensionType | dimensionType () const
const char * | displayName () const
DomainType | domainType () const
uiString | errMsgStr (Desc *desc)
virtual void | getEvalParams (TypeSet< EvalParam > &) const
virtual int | getOutputIdx (float val) const
virtual float | getOutputValue (int idx) const
const ZDomain::Info * | getZDomainInfo () const
HelpKey | helpKey () const
bool | is2D () const
virtual void | setDataPackInp (const TypeSet< DataPack::FullID > &)
void | setDesc (Desc *, DescSetMan *)
void | setDescSet (DescSet *ds)
void | setDimensionType (DimensionType t)
void | setDisplayName (const char *nm)
void | setDomainType (DomainType t)
void | setNeedInputUpdate ()
virtual void | setOutputStep (float step)
void | setVideoKey (const HelpKey &k)
void | setZDomainInfo (const ZDomain::Info *)
HelpKey | videoKey () const
Public Member Functions inherited from uiGroup
| uiGroup (uiParent *, const char *nm="uiGroup", bool manage=true)
virtual | ~uiGroup ()
void | adjustSize ()
uiObject * | attachObj ()
const uiObject * | attachObj () const
uiObject * | hAlignObj ()
uiObject * | hCenterObj ()
uiMainWin * | mainwin () override
| mOD_DisableCopy (uiGroup) inline operator const uiGroupObj *() const
| operator const uiObject & () const
| operator uiGroupObj * ()
| operator uiObject & ()
uiParent * | parent ()
const uiParent * | parent () const
Notifier< uiBaseObject > & | postFinalise () override
Notifier< uiBaseObject > & | postFinalize () override
Notifier< uiBaseObject > & | preFinalise () override
Notifier< uiBaseObject > & | preFinalize () override
void | setBorder (int l, int t, int r, int b)
void | setBorder (int)
void | setChildrenSensitive (bool)
void | setFrame (bool yn=true)
void | setHAlignObj (uiGroup *o)
void | setHAlignObj (uiObject *)
void | setHCenterObj (uiGroup *o)
void | setHCenterObj (uiObject *)
void | setHSpacing (int)
void | setIsMain (bool)
| internal use only. Tells the layout manager it's a toplevel mngr.
void | setNoBackGround ()
virtual void | setSize (const uiSize &)
void | setSpacing (int s=0)
void | setVSpacing (int)
Public Member Functions inherited from uiParent
uiSize | actualsize (bool inclborder=true) const
uiSize | actualSize (bool include_border) const
void | addChild (uiBaseObject &)
void | attach (ConstraintType, int margin=-1)
void | attach (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true)
void | attach (ConstraintType, uiParent *oth, int margin=-1, bool reciprocal=true)
void | attachChild (ConstraintType tp, uiObject *child, uiObject *other, int margin, bool reciprocal)
OD::Color | backgroundColor () const
const ObjectSet< uiBaseObject > * | childList () const
void | deepRedraw (CallBacker *)
virtual void | display (bool yn, bool shrk=false, bool maximize=false)
const uiFont * | font () const
bool | hasFocus () const
bool | isDisplayed () const
uiObject * | mainObject ()
const uiObject * | mainObject () const
void | manageChild (uiBaseObject &, uiObjectBody &)
uiParentBody * | pbody ()
const uiParentBody * | pbody () const
int | prefHNrPics () const
int | prefVNrPics () const
virtual void | reDraw (bool deep)
OD::Color | roBackgroundColor () const
bool | sensitive () const
void | setBackgroundColor (const OD::Color &)
void | setCaption (const uiString &)
void | setCursor (const MouseCursor &)
void | setFocus ()
void | setFont (const uiFont &)
void | setPrefHeight (int h)
void | setPrefHeightInChar (float h)
void | setPrefHeightInChar (int h)
void | setPrefWidth (int w)
void | setPrefWidthInChar (float w)
void | setPrefWidthInChar (int w)
void | setSensitive (bool yn=true)
void | setStretch (int h, int v)
void | shallowRedraw (CallBacker *)
int | stretch (bool h) const
void | translateText () override
Public Member Functions inherited from uiBaseObject
virtual | ~uiBaseObject ()
int | beginCmdRecEvent (const BufferString &msg)
int | beginCmdRecEvent (const char *msg=0)
int | beginCmdRecEvent (od_uint64 id, const char *msg=0)
uiBody * | body ()
const uiBody * | body () const
void | clear ()
void | endCmdRecEvent (int refnr, const char *msg=0)
void | endCmdRecEvent (od_uint64 id, int refnr, const char *msg=0)
void | finalise ()
bool | finalised () const
bool | finalized () const
virtual QWidget * | getWidget ()
const QWidget * | getWidget () const
| mOD_DisableCopy (uiBaseObject) void final ize()
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static const char * | depthgatestr ()
static const char * | filterszstr ()
static const char * | frequencystr ()
static const char * | getInputAttribName (uiAttrSel *, const Desc &)
static const char * | stepoutstr ()
static const char * | timegatestr ()
Static Public Member Functions inherited from uiGroup
static uiGroup * | gtDynamicCastToGrp (QWidget *)
Static Public Member Functions inherited from uiBaseObject
static void | addCmdRecorder (const CallBack &)
static void | removeCmdRecorder (const CallBack &)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
| uiAttrDescEd (uiParent *, bool is2d, const HelpKey &)
virtual bool | areUIParsOK ()
uiImagAttrSel * | createImagInpFld (bool is2d)
uiAttrSel * | createInpFld (bool is2d, const uiString &txt=uiString::empty())
uiAttrSel * | createInpFld (const uiAttrSelData &, const uiString &txt=uiString::empty())
void | fillInp (uiAttrSel *, Desc &, int)
void | fillInp (uiSteerAttrSel *, Desc &, int)
void | fillInp (uiSteeringSel *, Desc &, int)
void | fillOutput (Desc &, int selout)
uiString | gateLabel () const
virtual bool | getInput (Desc &)
RefMan< Desc > | getInputDescFromDP (uiAttrSel *) const
bool | getInputDPID (uiAttrSel *, DataPack::FullID &) const
virtual bool | getOutput (Desc &)
virtual bool | getParameters (Desc &)
bool | needInputUpdate () const
void | putInp (uiAttrSel *, const Desc &, int inpnr)
void | putInp (uiSteerAttrSel *, const Desc &, int inpnr)
void | putInp (uiSteeringSel *, const Desc &, int inpnr)
virtual bool | setInput (const Desc &)
virtual bool | setOutput (const Desc &)
virtual bool | setParameters (const Desc &)
uiString | shiftLabel () const
uiString | zDepLabel (const uiString &pre, const uiString &post) const
const char * | zGateLabel () const
bool | zIsTime () const
Protected Member Functions inherited from uiGroup
void | attach_ (ConstraintType, uiObject *oth, int margin=-1, bool reciprocal=true) override
void | bodyDel (CallBacker *)
uiObject * | mainobject () override
virtual void | reDraw_ (bool deep)
void | reSizeChildren (const uiObject *, float, float)
void | setFrameStyle (int)
void | setShrinkAllowed (bool)
bool | shrinkAllowed ()
void | uiobjDel (CallBacker *)
Protected Member Functions inherited from uiParent
| uiParent (const char *nm, uiParentBody *)
| ~uiParent ()
| mOD_DisableCopy (uiParent) virtual void attach_(ConstraintType
Protected Member Functions inherited from uiBaseObject
| uiBaseObject (const char *nm, uiBody *=nullptr)
void | setBody (uiBody *b)
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Static Protected Member Functions
static uiString | sInputTypeError (int input)
static const char * | sKeyBasicGrp ()
static const char * | sKeyDipGrp ()
static const char * | sKeyFilterGrp ()
static const char * | sKeyFreqGrp ()
static const char * | sKeyOtherGrp ()
static const char * | sKeyPatternGrp ()
static const char * | sKeyPositionGrp ()
static const char * | sKeyStatsGrp ()

## Protected Attributes
DescSet * | ads_ = nullptr
BufferString | attrnm_
ChangeTracker | chtr_
DimensionType | dimtyp_
DomainType | domtyp_
TypeSet< DataPack::FullID > | dpfids_
uiString | errmsg_
HelpKey | helpkey_
bool | is2d_
bool | needinpupd_
HelpKey | videokey_
const ZDomain::Info * | zdomaininfo_ = nullptr
Protected Attributes inherited from uiGroup
uiGroupParentBody * | body_
uiGroupObj * | grpobj_
Protected Attributes inherited from uiParent
uiObject int | margin =-1
uiObject * | oth
uiObject int bool | reciprocal =true)
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Private Attributes
DescSetMan * | adsman_ = nullptr
Desc * | desc_ = nullptr
BufferString | dispname_

## Detailed Description

Attribute description editor.

Required functions are declared in the macro mDeclReqAttribUIFns. Two of those, attribName() and createInstance() are implemented by the mInitAttribUI macro.

<>

## Member Enumeration Documentation

## ◆ DimensionType

enum uiAttrDescEd::DimensionType

Enumerator
AnyDim |
Only3D |
Only2D |

## ◆ DomainType

enum uiAttrDescEd::DomainType

Enumerator
Both |
Time |
Depth |

## Constructor & Destructor Documentation

## ◆ ~uiAttrDescEd()

virtual uiAttrDescEd::~uiAttrDescEd | ( |  | ) |
| virtual

## ◆ uiAttrDescEd()

uiAttrDescEd::uiAttrDescEd | ( | uiParent * | ,
|  | bool | is2d,
|  | const HelpKey & | )
| protected

## Member Function Documentation

## ◆ areUIParsOK()

virtual bool uiAttrDescEd::areUIParsOK | ( |  | ) |
| inline protected virtual

Reimplemented in uiFingerPrintAttrib, uiFreqFilterAttrib, uiFrequencyAttrib, and uiScalingAttrib.

## ◆ attribName()

virtual const char * uiAttrDescEd::attribName | ( |  | ) | const
| pure virtual

Implemented in uiCoherencyAttrib, uiConvolveAttrib, uiDeltaResampleAttrib, uiDipFilterAttrib, uiEnergyAttrib, uiEventAttrib, uiFingerPrintAttrib, uiFreqFilterAttrib, uiFrequencyAttrib, uiGapDeconAttrib, uiInstantaneousAttrib, uiMatchDeltaAttrib, uiMathAttrib, uiPositionAttrib, uiPreStackAttrib, uiReferenceAttrib, uiReliefAttrib, uiSampleValueAttrib, uiScalingAttrib, uiSemblanceAttrib, uiShiftAttrib, uiSimilarityAttrib, uiSpecDecompAttrib, uiTextureAttrib, and uiVolumeStatisticsAttrib.

## ◆ commit()

virtual uiString uiAttrDescEd::commit | ( | Desc * | desc = 0 | ) |
| virtual

returns null on success, error message otherwise If attribdesc is non-zero, that desc will be filled. If not, the internal desc will be filled.

## ◆ createImagInpFld()

uiImagAttrSel * uiAttrDescEd::createImagInpFld | ( | bool | is2d | ) |
| protected

## ◆ createInpFld() [1/2]

uiAttrSel * uiAttrDescEd::createInpFld | ( | bool | is2d,
|  | const uiString & | txt = uiString::empty() )
| protected

## ◆ createInpFld() [2/2]

uiAttrSel * uiAttrDescEd::createInpFld | ( | const uiAttrSelData & | ,
|  | const uiString & | txt = uiString::empty() )
| protected

## ◆ curDesc() [1/2]

Desc * uiAttrDescEd::curDesc | ( |  | ) |
| inline

## ◆ curDesc() [2/2]

const Desc * uiAttrDescEd::curDesc | ( |  | ) | const
| inline

## ◆ depthgatestr()

static const char * uiAttrDescEd::depthgatestr | ( |  | ) |
| static

## ◆ dimensionType()

DimensionType uiAttrDescEd::dimensionType | ( |  | ) | const
| inline

## ◆ displayName()

const char * uiAttrDescEd::displayName | ( |  | ) | const
| inline

## ◆ domainType()

DomainType uiAttrDescEd::domainType | ( |  | ) | const
| inline

## ◆ errMsgStr()

uiString uiAttrDescEd::errMsgStr | ( | Desc * | desc | ) |

## ◆ fillInp() [1/3]

void uiAttrDescEd::fillInp | ( | uiAttrSel * | ,
|  | Desc & | ,
|  | int | )
| protected

## ◆ fillInp() [2/3]

void uiAttrDescEd::fillInp | ( | uiSteerAttrSel * | ,
|  | Desc & | ,
|  | int | )
| protected

## ◆ fillInp() [3/3]

void uiAttrDescEd::fillInp | ( | uiSteeringSel * | ,
|  | Desc & | ,
|  | int | )
| protected

## ◆ fillOutput()

void uiAttrDescEd::fillOutput | ( | Desc & | ,
|  | int | selout )
| protected

## ◆ filterszstr()

static const char * uiAttrDescEd::filterszstr | ( |  | ) |
| static

## ◆ frequencystr()

static const char * uiAttrDescEd::frequencystr | ( |  | ) |
| static

## ◆ gateLabel()

uiString uiAttrDescEd::gateLabel | ( |  | ) | const
| inline protected

## ◆ getEvalParams()

virtual void uiAttrDescEd::getEvalParams | ( | TypeSet< EvalParam > & |  | ) | const
| inline virtual

Reimplemented in uiCoherencyAttrib, uiConvolveAttrib, uiDipFilterAttrib, uiEnergyAttrib, uiFreqFilterAttrib, uiFrequencyAttrib, uiGapDeconAttrib, uiMatchDeltaAttrib, uiMathAttrib, uiPositionAttrib, uiPreStackAttrib, uiScalingAttrib, uiSemblanceAttrib, uiShiftAttrib, uiSimilarityAttrib, uiSpecDecompAttrib, uiTextureAttrib, uiVolumeStatisticsAttrib, uiWellLogAttrib, uiGrubbsFilterAttrib, uiGLCM_attrib, uiMadAGCAttrib, and uiInstantaneousAttrib.

## ◆ getInput()

virtual bool uiAttrDescEd::getInput | ( | Desc & |  | ) |
| inline protected virtual

Reimplemented in uiCoherencyAttrib, uiConvolveAttrib, uiDeltaResampleAttrib, uiDipFilterAttrib, uiEnergyAttrib, uiEventAttrib, uiFingerPrintAttrib, uiFreqFilterAttrib, uiFrequencyAttrib, uiGapDeconAttrib, uiInstantaneousAttrib, uiMatchDeltaAttrib, uiMathAttrib, uiPositionAttrib, uiReferenceAttrib, uiReliefAttrib, uiSampleValueAttrib, uiScalingAttrib, uiSemblanceAttrib, uiShiftAttrib, uiSimilarityAttrib, uiSpecDecompAttrib, uiTextureAttrib, uiVolumeStatisticsAttrib, uiHorizonAttrib, uiWellLogAttrib, uiCEEMDAttrib, uiCorrMultiAttrib, uiEventFreqAttrib, uiGrubbsFilterAttrib, uiIntegratedTrace, uiSimilaritybyAW, uiGLCM_attrib, uiMadAGCAttrib, and uiTutorialAttrib.

## ◆ getInputAttribName()

static const char * uiAttrDescEd::getInputAttribName | ( | uiAttrSel * | ,
|  | const Desc & | )
| static

## ◆ getInputDescFromDP()

RefMan< Desc > uiAttrDescEd::getInputDescFromDP | ( | uiAttrSel * |  | ) | const
| protected

## ◆ getInputDPID()

bool uiAttrDescEd::getInputDPID | ( | uiAttrSel * | ,
|  | DataPack::FullID & | ) const
| protected

## ◆ getOutput()

virtual bool uiAttrDescEd::getOutput | ( | Desc & |  | ) |
| protected virtual

Reimplemented in uiConvolveAttrib, uiEnergyAttrib, uiEventAttrib, uiFrequencyAttrib, uiInstantaneousAttrib, uiReferenceAttrib, uiReliefAttrib, uiSimilarityAttrib, uiSpecDecompAttrib, uiTextureAttrib, uiVolumeStatisticsAttrib, uiWellLogAttrib, uiCEEMDAttrib, and uiEventFreqAttrib.

## ◆ getOutputIdx()

virtual int uiAttrDescEd::getOutputIdx | ( | float | val | ) | const
| inline virtual

Reimplemented in uiSpecDecompAttrib.

## ◆ getOutputValue()

virtual float uiAttrDescEd::getOutputValue | ( | int | idx | ) | const
| inline virtual

Reimplemented in uiSpecDecompAttrib.

## ◆ getParameters()

virtual bool uiAttrDescEd::getParameters | ( | Desc & |  | ) |
| inline protected virtual

Reimplemented in uiCoherencyAttrib, uiConvolveAttrib, uiDeltaResampleAttrib, uiDipFilterAttrib, uiEnergyAttrib, uiEventAttrib, uiFingerPrintAttrib, uiFreqFilterAttrib, uiFrequencyAttrib, uiGapDeconAttrib, uiInstantaneousAttrib, uiMatchDeltaAttrib, uiMathAttrib, uiPositionAttrib, uiPreStackAttrib, uiReferenceAttrib, uiReliefAttrib, uiScalingAttrib, uiSemblanceAttrib, uiShiftAttrib, uiSimilarityAttrib, uiSpecDecompAttrib, uiTextureAttrib, uiVolumeStatisticsAttrib, uiHorizonAttrib, uiVolProcAttrib, uiWellLogAttrib, uiCEEMDAttrib, uiCorrMultiAttrib, uiEventFreqAttrib, uiGrubbsFilterAttrib, uiSimilaritybyAW, uiGLCM_attrib, uiMadAGCAttrib, and uiTutorialAttrib.

## ◆ getZDomainInfo()

const ZDomain::Info * uiAttrDescEd::getZDomainInfo | ( |  | ) | const

## ◆ helpKey()

HelpKey uiAttrDescEd::helpKey | ( |  | ) | const
| inline

## ◆ is2D()

bool uiAttrDescEd::is2D | ( |  | ) | const
| inline

## ◆ needInputUpdate()

bool uiAttrDescEd::needInputUpdate | ( |  | ) | const
| inline protected

## ◆ putInp() [1/3]

void uiAttrDescEd::putInp | ( | uiAttrSel * | ,
|  | const Desc & | ,
|  | int | inpnr )
| protected

## ◆ putInp() [2/3]

void uiAttrDescEd::putInp | ( | uiSteerAttrSel * | ,
|  | const Desc & | ,
|  | int | inpnr )
| protected

## ◆ putInp() [3/3]

void uiAttrDescEd::putInp | ( | uiSteeringSel * | ,
|  | const Desc & | ,
|  | int | inpnr )
| protected

## ◆ setDataPackInp()

virtual void uiAttrDescEd::setDataPackInp | ( | const TypeSet< DataPack::FullID > & |  | ) |
| virtual

Reimplemented in uiPreStackAttrib.

## ◆ setDesc()

void uiAttrDescEd::setDesc | ( | Desc * | ,
|  | DescSetMan * | )

## ◆ setDescSet()

void uiAttrDescEd::setDescSet | ( | DescSet * | ds | ) |
| inline

## ◆ setDimensionType()

void uiAttrDescEd::setDimensionType | ( | DimensionType | t | ) |
| inline

## ◆ setDisplayName()

void uiAttrDescEd::setDisplayName | ( | const char * | nm | ) |
| inline

## ◆ setDomainType()

void uiAttrDescEd::setDomainType | ( | DomainType | t | ) |
| inline

## ◆ setInput()

virtual bool uiAttrDescEd::setInput | ( | const Desc & |  | ) |
| inline protected virtual

Reimplemented in uiCoherencyAttrib, uiConvolveAttrib, uiDeltaResampleAttrib, uiDipFilterAttrib, uiEnergyAttrib, uiEventAttrib, uiFingerPrintAttrib, uiFreqFilterAttrib, uiFrequencyAttrib, uiGapDeconAttrib, uiInstantaneousAttrib, uiMatchDeltaAttrib, uiMathAttrib, uiPositionAttrib, uiReferenceAttrib, uiReliefAttrib, uiSampleValueAttrib, uiScalingAttrib, uiSemblanceAttrib, uiShiftAttrib, uiSimilarityAttrib, uiSpecDecompAttrib, uiTextureAttrib, uiVolumeStatisticsAttrib, uiHorizonAttrib, uiWellLogAttrib, uiCEEMDAttrib, uiCorrMultiAttrib, uiEventFreqAttrib, uiGrubbsFilterAttrib, uiIntegratedTrace, uiSimilaritybyAW, uiGLCM_attrib, uiMadAGCAttrib, uiTutorialAttrib, and uiPreStackAttrib.

## ◆ setNeedInputUpdate()

void uiAttrDescEd::setNeedInputUpdate | ( |  | ) |
| inline

## ◆ setOutput()

virtual bool uiAttrDescEd::setOutput | ( | const Desc & |  | ) |
| inline protected virtual

Reimplemented in uiConvolveAttrib, uiEnergyAttrib, uiEventAttrib, uiFrequencyAttrib, uiInstantaneousAttrib, uiReferenceAttrib, uiReliefAttrib, uiSimilarityAttrib, uiSpecDecompAttrib, uiTextureAttrib, uiVolumeStatisticsAttrib, uiWellLogAttrib, and uiEventFreqAttrib.

## ◆ setOutputStep()

virtual void uiAttrDescEd::setOutputStep | ( | float | step | ) |
| inline virtual

## ◆ setParameters()

virtual bool uiAttrDescEd::setParameters | ( | const Desc & |  | ) |
| inline protected virtual

Reimplemented in uiCoherencyAttrib, uiConvolveAttrib, uiDeltaResampleAttrib, uiDipFilterAttrib, uiEnergyAttrib, uiEventAttrib, uiFingerPrintAttrib, uiFreqFilterAttrib, uiFrequencyAttrib, uiGapDeconAttrib, uiInstantaneousAttrib, uiMatchDeltaAttrib, uiMathAttrib, uiPositionAttrib, uiPreStackAttrib, uiReferenceAttrib, uiReliefAttrib, uiScalingAttrib, uiSemblanceAttrib, uiShiftAttrib, uiSimilarityAttrib, uiSpecDecompAttrib, uiTextureAttrib, uiVolumeStatisticsAttrib, uiHorizonAttrib, uiVolProcAttrib, uiWellLogAttrib, uiCEEMDAttrib, uiCorrMultiAttrib, uiEventFreqAttrib, uiGrubbsFilterAttrib, uiSimilaritybyAW, uiGLCM_attrib, uiMadAGCAttrib, and uiTutorialAttrib.

## ◆ setVideoKey()

void uiAttrDescEd::setVideoKey | ( | const HelpKey & | k | ) |
| inline

## ◆ setZDomainInfo()

void uiAttrDescEd::setZDomainInfo | ( | const ZDomain::Info * |  | ) |

## ◆ shiftLabel()

uiString uiAttrDescEd::shiftLabel | ( |  | ) | const
| inline protected

## ◆ sInputTypeError()

static uiString uiAttrDescEd::sInputTypeError | ( | int | input | ) |
| static protected

## ◆ sKeyBasicGrp()

static const char * uiAttrDescEd::sKeyBasicGrp | ( |  | ) |
| static protected

## ◆ sKeyDipGrp()

static const char * uiAttrDescEd::sKeyDipGrp | ( |  | ) |
| static protected

## ◆ sKeyFilterGrp()

static const char * uiAttrDescEd::sKeyFilterGrp | ( |  | ) |
| static protected

## ◆ sKeyFreqGrp()

static const char * uiAttrDescEd::sKeyFreqGrp | ( |  | ) |
| static protected

## ◆ sKeyOtherGrp()

static const char * uiAttrDescEd::sKeyOtherGrp | ( |  | ) |
| static protected

## ◆ sKeyPatternGrp()

static const char * uiAttrDescEd::sKeyPatternGrp | ( |  | ) |
| static protected

## ◆ sKeyPositionGrp()

static const char * uiAttrDescEd::sKeyPositionGrp | ( |  | ) |
| static protected

## ◆ sKeyStatsGrp()

static const char * uiAttrDescEd::sKeyStatsGrp | ( |  | ) |
| static protected

## ◆ stepoutstr()

static const char * uiAttrDescEd::stepoutstr | ( |  | ) |
| static

## ◆ timegatestr()

static const char * uiAttrDescEd::timegatestr | ( |  | ) |
| static

## ◆ videoKey()

HelpKey uiAttrDescEd::videoKey | ( |  | ) | const
| inline

## ◆ zDepLabel()

uiString uiAttrDescEd::zDepLabel | ( | const uiString & | pre,
|  | const uiString & | post ) const
| protected

## ◆ zGateLabel()

const char * uiAttrDescEd::zGateLabel | ( |  | ) | const
| protected

## ◆ zIsTime()

bool uiAttrDescEd::zIsTime | ( |  | ) | const
| protected

## Member Data Documentation

## ◆ ads_

DescSet* uiAttrDescEd::ads_ = nullptr
| protected

## ◆ adsman_

DescSetMan* uiAttrDescEd::adsman_ = nullptr
| private

## ◆ attrnm_

BufferString uiAttrDescEd::attrnm_
| protected

## ◆ chtr_

ChangeTracker uiAttrDescEd::chtr_
| protected

## ◆ desc_

Desc* uiAttrDescEd::desc_ = nullptr
| private

## ◆ dimtyp_

DimensionType uiAttrDescEd::dimtyp_
| protected

## ◆ dispname_

BufferString uiAttrDescEd::dispname_
| private

## ◆ domtyp_

DomainType uiAttrDescEd::domtyp_
| protected

## ◆ dpfids_

TypeSet<DataPack::FullID> uiAttrDescEd::dpfids_
| protected

## ◆ errmsg_

uiString uiAttrDescEd::errmsg_
| protected

## ◆ helpkey_

HelpKey uiAttrDescEd::helpkey_
| protected

## ◆ is2d_

bool uiAttrDescEd::is2d_
| protected

## ◆ needinpupd_

bool uiAttrDescEd::needinpupd_
| protected

## ◆ videokey_

HelpKey uiAttrDescEd::videokey_
| protected

## ◆ zdomaininfo_

const ZDomain::Info* uiAttrDescEd::zdomaininfo_ = nullptr
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025